#include "Item.h"

auto Item::getName() -> std::string {
	return reinterpret_cast<std::string32*>((uintptr_t)this + 0xD8)->c_str();
}

auto Item::isFood() -> bool {
	static auto func = reinterpret_cast<bool(__thiscall*)(void*)>((*reinterpret_cast<void***>(this))[19]);
	return func(this);
}
